import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json';
// const jsonUrl = 'https://raw.githubusercontent.com/vega/vega/master/docs/data/us-state-capitals.json'

export const useUsMap = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
  Promise.all([
       json(jsonUrl)
       ]).then(data => {
       const topology = data[0];
       const { states, nation } = topology.objects;
       setData({
         state: feature(topology, states),
         interior: mesh(topology, states, (a, b) => a !== b),
       });
     });
   }, []);
  return data;
};
